Skip to navigation

Add Add-on to Existing MCR

View as Markdown

Use this endpoint to add an add-on to an existing MCR.

These add-ons are available:

  • BGP Config

  • IP Address

  • IPsec

BGP Config

The payload for BGP Config is as follows:

FieldFormatRequiredValue
addOnTypestring, non-emptyYesBGP_CONFIG
customer_asnintegerYesCustomer’s BGP Autonomous System Number
passwordstringBGP authentication password
as_setstringAS-SET identifier for BGP configuration
route_tablestring, non-emptyYesType of route table for BGP configuration. Valid values are: “DEFAULT_ONLY” “CUSTOMER_AND_PEER” “CUSTOMER” “FULL”
prefixesstringBGP route prefixes
remarkstringAddition notes or comments about the BGP configuration

Example:

{

"addOnType": "BGP_CONFIG",

"customer_asn": 65000,

"password": "SecureBgpPassword12345",

"as_set": "AS-EXAMPLE",

"route_table": "DEFAULT_ONLY",

"prefixes": "192.168.0.0/24,10.0.0.0/16",

"remark": "Primary BGP session for production services"

}

IP Address

The payload for IP address is as follows:

FieldFormatRequiredValue
addOnTypestring, non-emptyYesIP_ADDRESS
subnetSizestring, 3 charactersYesSize of the subnet to allocate. Valid values are: “/24” “/25” “/26” “/27” “/28” “/29” “/30”
purposestring, non-emptyYesPurpose for which the IP address will be used
projectedUtilizationMonthsrequiredintegerYes
remarkstringAdd

Example:

{

"addOnType": "IP_ADDRESS",

"subnetSize": "/29",

"purpose": "Customer-facing services",

"projectedUtilizationMonths": 12,

"remark": "Required for our new web service deployment"

}

IPsec

The payload for IPsec is as follows:

FieldFormatRequiredValue
addOnTypestring, non-emptyYesIP_SEC
tunnelCountintegerNumber of IPSec tunnels to be configured

Example:

{

"addOnType": "IP_SEC",

"tunnelCount": 30

}

Path parameters

productUidstringRequired

Request

This endpoint expects an object.
addOnTypestringOptional
tunnelCountdoubleOptional

Response

Add IPsec Tunnels / Add IPsec Tunnels / Add IPsec Tunnels / Add IPsec Tunnels

dataobjectOptional
messagestringOptional
termsstringOptional